[gjs: 5/18] CI: Fix arguments to diff command



commit b2144064c481316d721c9bc7af8649a9e1ac5573
Author: Philip Chimento <philip chimento gmail com>
Date:   Sat Nov 9 14:55:50 2019 -0800

    CI: Fix arguments to diff command
    
    According to the manual page it's either -u or -U0, accepting -u0 is
    apparently a quirk of GNU diff which no longer applies now that we are
    using BusyBox diff on our smaller Docker image.

 test/test-ci.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
---
diff --git a/test/test-ci.sh b/test/test-ci.sh
index 52e2fa9e..9303b2ed 100755
--- a/test/test-ci.sh
+++ b/test/test-ci.sh
@@ -55,7 +55,7 @@ do_Compare_With_Upstream_Master () {
         echo '-----------------------------------------'
         echo "### $NEW_WARNINGS new warning(s) found by $1 ###"
         echo '-----------------------------------------'
-        diff -u0 /cwd/master-report.txt /cwd/current-report.txt || true
+        diff -U0 /cwd/master-report.txt /cwd/current-report.txt || true
         echo '-----------------------------------------'
         exit 1
     else


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]